Understanding how to generate a DSM (Digital Surface Model) or DEM (Digital Elevation Model) using

Survey Points.
Description

Looking at the pros and cons for generating a DSM.

Can use this example as a reference model: http://distancesampling.org/R/vignettes/hare_point_transect_dsm.html

History

#1 - 14/06/2019 17:15 - Debojyoti Mallick

- Assignee set to Debojyoti Mallick

#2 - 20/06/2019 16:35 - Debojyoti Mallick

Debojyoti Mallick wrote:

Looking at the pros and cons for generating a DSM.

Can use this example as a reference model: http://distancesampling.org/R/vignettes/hare_point_transect_dsm.html

 

A python example of using Delaunay 2D triangles: https://github.com/amuriy/GRASS-scripts/blob/master/Python/v.triangle.py

#3 - 03/07/2019 11:44 - Debojyoti Mallick

Debojyoti Mallick wrote:

Looking at the pros and cons for generating a DSM.

Can use this example as a reference model: http://distancesampling.org/R/vignettes/hare_point_transect_dsm.html

 

Our motive here is to use different elevation models to best identify the ridges for the basins.

I did run through Swathi's results where she used different interpolation techniques to generate a raster from the surveyed elevation points.

As per the previous findings the best results were shown using the B-Spline method.

We conducted an additional test using the raster generated from calculation slope using the SAGA's IDW toolset in QGIS.

The logic here was to find the desired slope between two elevation points.

Once a slope gradient was established between the elevation points in the raster we converted the raster file to vector points.

This would mean each pixel (depending on the dpi and pixel value ) would be converted to a vector point based on a value defined by the raster cell's
slope gradient.

Essentially each point would have a particular elevation value.

The result was visually pleasing but there are additional factors to be considered.

Firstly we need the X, Y and Z coordinated included for these points. This can be generated from the defined projection system#

Cons of this method:

- This creates additional points which moves away from the original data

- This generates very large datasets which are not suitable for further workflows

- In addition to this , the methodology leads to a pointless loop of Vector to Raster to Vector again.

Conclusion:

Working with either the known elevation points or the generated raster to find ridges without further interpolation makes more sense.

#4 - 03/07/2019 11:44 - Debojyoti Mallick

- Status changed from New to In Progress
